<template>
  <div
    class="base-btn m-0 mb-4 mt-lg-5"
    :class="typeButton === 'quiz' ? 'quiz-link bg-warning' : 'survey-link bg-primary'"
    data-bs-toggle="modal"
    :data-bs-target="`#modal-base-btn-${typeButton}`"
  >
    <img class="overlay" src="@/assets/img/quiz_pattern.png" />
    <div class="text">
      <span>{{ typeButton === "quiz" ? "Quiz" : "Survey" }}</span>
    </div>

    <!-- Modal -->
    <div :id="`modal-base-btn-${typeButton}`" class="modal fade" tabindex="-1">
      <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
          <!-- <div class="modal-header">
            <h5 class="modal-title">Modal title</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div> -->
          <div class="modal-body px-2 py-4 p-lg-5">
            <div class="row">
              <div class="col col-12 col-lg-6 mb-3 mb-lg-0">
                <div class="d-flex justify-content-center">
                  <button
                    class="btn py-3 fw-bold fs-3 text-light"
                    :class="typeButton === 'quiz' ? 'btn-warning' : 'btn-primary'"
                    data-bs-dismiss="modal"
                    @click="$router.push(`${typeButton}-intro`).catch(() => {})"
                  >
                    Join a random {{ typeButton === "quiz" ? "Quiz" : "Survey" }}
                  </button>
                </div>
              </div>
              <div class="col col-12 col-lg-6">
                <div class="d-flex justify-content-center">
                  <button
                    class="btn py-3 fw-bold fs-3 text-light"
                    :class="typeButton === 'quiz' ? 'btn-warning' : 'btn-primary'"
                    data-bs-dismiss="modal"
                    @click="$router.push(`create-${typeButton}`).catch(() => {})"
                  >
                    Create a {{ typeButton === "quiz" ? "Quiz" : "Survey" }}
                  </button>
                </div>
              </div>
            </div>
          </div>
          <!-- <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            <button type="button" class="btn btn-primary">Save changes</button>
          </div> -->
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    typeButton: String
  },
  data() {
    return {
      isShowMenu: false
    };
  }
};
</script>

<style scoped>
.base-btn {
  overflow: hidden;
  border-radius: 22px;
  height: 100px;
  width: 100%;
  max-width: 100%;
  cursor: pointer;
}
.base-btn .text {
  font-size: 2.6rem;
}
.overlay {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.modal-body .col > div {
  height: 100%;
}
.modal-body button {
  width: 90%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 12px;
  background-image: url("../assets/img/quiz_pattern.png");
  background-size: cover;
}
@media screen and (min-width: 992px) {
  .base-btn {
    width: 70% !important;
    height: 160px;
  } 
}
</style>
